hadoop-hdfs-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Wang (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HDFS-11188) Change min supported DN and NN versions back to 2.x
Date Mon, 05 Dec 2016 23:44:58 GMT

    [ https://issues.apache.org/jira/browse/HDFS-11188?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15723760#comment-15723760
] 

Andrew Wang commented on HDFS-11188:
------------------------------------

To further elaborate, I haven't done any rolling upgrade testing yet, but we need this patch
to unblock it.

> Change min supported DN and NN versions back to 2.x
> ---------------------------------------------------
>
>                 Key: HDFS-11188
>                 URL: https://issues.apache.org/jira/browse/HDFS-11188
>             Project: Hadoop HDFS
>          Issue Type: Sub-task
>          Components: rolling upgrades
>    Affects Versions: 3.0.0-alpha1
>            Reporter: Andrew Wang
>            Assignee: Andrew Wang
>            Priority: Critical
>         Attachments: HDFS-11188.001.patch
>
>
> This is the inverse of HDFS-10398 and HADOOP-13142. Currently, trunk requires a software
DN and NN version of 3.0.0-alpha1. This means we cannot perform a rolling upgrade from 2.x
to 3.x.
> The first step towards supporting rolling upgrade is changing these back to a 2.x version.
For reference, branch-2 has these versions set to "2.1.0-beta".



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: hdfs-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: hdfs-issues-help@hadoop.apache.org


Mime
View raw message